# hazwaz.unittest module

class hazwaz.unittest.HazwazTestCase(methodName='runTest')

  Bases: `TestCase`

  run_with_argv(cmd, argv: List[str]) → Dict[str, StringIO]

    Run a command with a list of command line options.

    Parameters:

      argv – the full command line except for the program name, as a list of strings; e.g. `["subcommand", "--help"]` or `["subcommand", "--option", "value"]`.

    Returns:

      stdout and stderr resulting from the command.

class hazwaz.unittest.TestCommand(test_cases: Iterable[TestCase])

  Bases: `Command`

  Run unittests.

  main()

    Main code of this subcommand.

    Override this method to implement the actual program.

  name: str | None = 'test'

    The name used to call this subcommand from the command line.

    If this property is none, the default is the name of the class set to lowercase.

hazwaz.unittest.main()